## GladeSignalEditor

GladeSignalEditor — An interface to edit signals for a GladeWidget.

## Functions

GladeWidget * | glade_signal_editor_get_widget ()
GladeSignalEditor * | glade_signal_editor_new ()
void | glade_signal_editor_load_widget ()

## Types and Values

| GladeSignalEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GladeSignalEditor

## Implemented Interfaces

GladeSignalEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### glade_signal_editor_get_widget ()

    GladeWidget *
    glade_signal_editor_get_widget (GladeSignalEditor *editor);

#### Parameters

editor | a GladeSignalEditor |

#### Returns

a GladeWidget.

[transfer none]

### glade_signal_editor_new ()

    GladeSignalEditor *
    glade_signal_editor_new (void);

#### Returns

a new GladeSignalEditor

### glade_signal_editor_load_widget ()

    void
    glade_signal_editor_load_widget (GladeSignalEditor *editor,
                                     GladeWidget *widget);

Load a widget in the signal editor. This will show all signals of the widget an it's accessors in the signal editor where the user can edit them.

#### Parameters

editor | a GladeSignalEditor |
widget | a GladeWidget or NULL |

## Types and Values

### GladeSignalEditor

    typedef struct _GladeSignalEditor GladeSignalEditor;